## goxkcdpwgen 0.0~git20181107.de898c7

=== Makefile ===
GO := CGO_ENABLED=0 go
PACKAGES ?= $(shell go list ./... | grep -v /vendor/ | grep -v /tests)

.PHONY: all
all: tests

.PHONY: fmt
fmt:
	$(GO) fmt $(PACKAGES)

.PHONY: tests
tests: test vet lint errcheck megacheck

.PHONY: vet
vet:
	$(GO) vet $(PACKAGES)

.PHONY: lint
lint:
	@which golint > /dev/null; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/golang/lint/golint; \
	fi
	STATUS=0; for PKG in $(PACKAGES); do golint -set_exit_status $$PKG || STATUS=1; done; exit $$STATUS

.PHONY: errcheck
errcheck:
	@which errcheck > /dev/null; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/kisielk/errcheck; \
	fi
	STATUS=0; for PKG in $(PACKAGES); do errcheck $$PKG || STATUS=1; done; exit $$STATUS

.PHONY: megacheck
megacheck:
	@which megacheck > /dev/null; if [ $$? -ne 0  ]; then \
		$(GO) get -u honnef.co/go/tools/cmd/megacheck; \
	fi
	STATUS=0; for PKG in $(PACKAGES); do megacheck $$PKG || STATUS=1; done; exit $$STATUS

.PHONY: test
test:
	STATUS=0; for PKG in $(PACKAGES); do go test -cover -coverprofile $$GOPATH/src/$$PKG/coverage.out $$PKG || STATUS=1; done; exit $$STATUS

default: tests

=== debian/changelog ===
goxkcdpwgen (0.0~git20181107.de898c7-3ubuntu0.22.04.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 16:14:16 +0000

goxkcdpwgen (0.0~git20181107.de898c7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 12:26:36 +0100

goxkcdpwgen (0.0~git20181107.de898c7-2) unstable; urgency=medium

  * Team upload.
  * Include source files in the package to be used as a library.
  * Bump Debhelper compatibility to 12.
  * Bump Standards-Version to 4.4.1.

 -- Balasankar C <balasankarc@debian.org>  Thu, 16 Jan 2020 23:38:13 +0530

goxkcdpwgen (0.0~git20181107.de898c7-1) unstable; urgency=medium

  [ Karthika Shanthini, Shree Dhanya ]
  * Initial release (Closes: #926076)

 -- Shree Dhanya <dhanyathailappan@gmail.com>  Mon, 01 Apr 2019 16:57:14 +0530

=== debian/control ===
Source: goxkcdpwgen
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shree Dhanya <dhanyathailappan@gmail.com>,
           Karthika Shanthini <karthikashanthini@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.0
Homepage: https://github.com/martinhoefling/goxkcdpwgen
Vcs-Browser: https://salsa.debian.org/go-team/packages/goxkcdpwgen
Vcs-Git: https://salsa.debian.org/go-team/packages/goxkcdpwgen.git
XS-Go-Import-Path: github.com/martinhoefling/goxkcdpwgen
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: goxkcdpwgen
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: xkcd style password generator library and cli tool
 goxkcdpwgen xkcd style is a password generator library. It also supports
 word lists in non English languages.
 .
 Sample execution
 $ goxkcdpwgen -c -d "" -n 5
 VocalistDurableGauntletBluishReputable

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/goxkcdpwgen-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/martinhoefling/goxkcdpwgen/tags .*/v?(\d\S*)\.tar\.gz
